Package relaxngcc.runtime

# Class NGCCPlainHandler

java.lang.Object
relaxngcc.runtime.NGCCPlainHandler

All Implemented Interfaces:
  `ContentHandler`

public abstract class NGCCPlainHandler extends Object implements ContentHandler
Base class for classes generated by RelaxNGCC for typed-sax and plain-sax modes.

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`accepted()`
`void`
`characters(char[] ch, int start, int length)`
`void`
`endDocument()`
`void`
`endElement(String uri, String localname, String qname)`
`void`
`endPrefixMapping(String prefix)`
`abstract void`
`enterElement(String uri, String localName, String qname)`
`void`
`ignorableWhitespace(char[] ch, int start, int length)`
`abstract void`
`leaveElement(String uri, String localName, String qname)`
`abstract void`
`processAttribute()`
`void`
`processingInstruction(String target, String data)`
`void`
`setDocumentLocator(Locator loc)`
`void`
`skippedEntity(String name)`
`void`
`startDocument()`
`void`
`startElement(String uri, String localname, String qname, Attributes atts)`
`void`
`startPrefixMapping(String prefix, String uri)`
`abstract void`
`text(String value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Method Details

### enterElement

public abstract void enterElement(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`

### leaveElement

public abstract void leaveElement(String uri, String localName, String qname) throws SAXException

Throws:
  `SAXException`

### text

public abstract void text(String value) throws SAXException

Throws:
  `SAXException`

### processAttribute

public abstract void processAttribute() throws SAXException

Throws:
  `SAXException`

### accepted

public abstract boolean accepted()

### startDocument

public void startDocument()

Specified by:
  `startDocument` in interface `ContentHandler`

### endDocument

public void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### startElement

public void startElement(String uri, String localname, String qname, Attributes atts) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

### endElement

public void endElement(String uri, String localname, String qname) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

### characters

public void characters(char[] ch, int start, int length) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

### ignorableWhitespace

public void ignorableWhitespace(char[] ch, int start, int length) throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

### startPrefixMapping

public void startPrefixMapping(String prefix, String uri) throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### endPrefixMapping

public void endPrefixMapping(String prefix) throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### setDocumentLocator

public void setDocumentLocator(Locator loc)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

### processingInstruction

public void processingInstruction(String target, String data) throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

### skippedEntity

public void skippedEntity(String name) throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`